[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TAbstractObjectWriter.WriteVariant

Write a variant to the stream

## Declaration

Source position: classesh.inc line 1476

`public procedure TAbstractObjectWriter.WriteVariant(`
`const Value: Variant`
`); virtual; abstract;`

## Description

WriteVariant must be overridden by descendant classes to write a simple variant type to the stream. WriteVariant does not write arrays types or complex types.

## See also

TBinaryObjectWriter.WriteVariant |  | Write a variant to the stream